Bug 33958 - Add Support URL for apps
Add Support URL for apps
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 3.2
Other Linux
: P5 enhancement (vote)
: UCS 3.2-0-errata
Assigned To: Dirk Wiesenthal
Drees Dormann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-21 07:18 CET by Stefan Gohmann
Modified: 2014-01-29 12:12 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
The support url definition (5.37 KB, text/plain)
2014-01-24 11:00 CET, Dirk Wiesenthal
Details
Script to semi-automatically change the support urls (1.79 KB, text/plain)
2014-01-24 11:02 CET, Dirk Wiesenthal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-01-21 07:18:37 CET
We should add a Support URL for apps in the detail view.

The following options are possible:

1. Support: Please contact the app vendor
   That means the option is not set in the ini file

2. Support: <a href=http://app.com/support>Available support options</a>
   The option is set to http://app.com/support in the ini file

3. Support: No support option provided
   The option is set to a special keyword, for example none

Please also add a short description to the app center dev chapter.

@Nico, please add the URLs for OX, SEP, linotp and tine20.org if available.

The following URLs should be used:

* agorumcore-pro
http://www.agorum.com/startseite/unterstuetzung-support/uebersicht-unterstuetzungsupport-zu-agorum-core.html

* asterisk4ucs
http://www.voip-asterisk.info/deutsch/asterisk4ucs/index.html

* audriga-groupware-migration
DE: https://www.email-umzug.de/de/support/beratung-und-premium-support.html
EN:
https://www.migrate-mail.com/en/support/consulting-and-premium-support.html

* bareos
DE: http://www.bareos.com/de/support.html
EN: http://www.bareos.com/en/Support.html

* drbd
DE: http://www.linbit.com/de/produkte-und-services/drbd-support/preise
EN: http://www.linbit.com/en/products-and-services/drbd-support/pricing

* init-monit
DE: http://www.init.at/competence_class/support/
EN: http://www.init.at/en/competence_class/support/

* kivitendo
http://www.linet-services.de/kivitendo/kivitendo-services.html

* kixbox
DE: http://www.cape-it.de/support-und-service-fuer-otrs-und-kix4otrs.html
EN: http://www.cape-it.de/support-and-service-for-otrs-and-kix4otrs.html

* kolab
DE: https://kolabsys.com/de/ucs/support
EN: https://kolabsys.com/ucs/support

* linotp
→ Please set to "Please contact the app vendor"

* owncloud
DE: https://owncloud.com/de/products/enterprise
EN: https://owncloud.com/products/enterprise

* owncloud5
DE: https://owncloud.com/de/products/enterprise
EN: https://owncloud.com/products/enterprise

* oxseforucs
→ Please set to "Please contact the app vendor"

* plucs
http://www.it25.de/de/produkte/plucs#Supportangebote

* sep-sesam
→ Please set to "Please contact the app vendor"

* sugarcrm
http://www.digitec.de/de/bi/service

* tine20org
→ Please set to "Please contact the app vendor"

* zarafa
DE: http://www.zarafaserver.de/inhalt/professioneller-support
EN: http://www.zarafa.com/content/professional-support

* z-push
DE: http://www.zarafaserver.de/inhalt/professioneller-support
EN: http://www.zarafa.com/content/professional-support


For the following apps
* adconnector
  cups
  dhcp-server
  fetchmail
  horde
  kde
  kvm
  mail-server
  nagios
  pkgdb
  samba3
  samba4
  samba4-slave
  samba-memberserver
  simplesamlphp
  squid
  ucc
  ucsschool
  univention-demoapp
  uvmm
  xen
  xrdp
DE: http://www.univention.de/download-und-support/support/kommerzielle-supportangebote/
EN: http://www.univention.de/en/download-and-support/support/commercial-support-offers/
Comment 1 Dirk Wiesenthal univentionstaff 2014-01-22 12:31:50 CET
Added in
  univention-management-console-module-appcenter 3.0.50-17.230.201401211203

Support URLs are added to the ini files in the Test App Center (3.2 only). This bug is almost RESOLVED, but:

What about OX, SEP, LinOTP and tine20? Wait for them?
Comment 2 Nico Gulden univentionstaff 2014-01-22 16:13:25 CET
Open-Xchange:
http://knowledgebase.open-xchange.com/support/support-offerings.html
Comment 3 Stefan Gohmann univentionstaff 2014-01-24 10:50:27 CET
(In reply to Dirk Wiesenthal from comment #1)
> Added in
>   univention-management-console-module-appcenter 3.0.50-17.230.201401211203
> 
> Support URLs are added to the ini files in the Test App Center (3.2 only).
> This bug is almost RESOLVED, but:
> 
> What about OX, SEP, LinOTP and tine20? Wait for them?

I think we should start the QA and make it available. They could be added later.
Comment 4 Dirk Wiesenthal univentionstaff 2014-01-24 11:00:58 CET
Created attachment 5749 [details]
The support url definition

This file was used to semi-automatically add SupportURL to the ini files
Comment 5 Dirk Wiesenthal univentionstaff 2014-01-24 11:02:06 CET
Created attachment 5750 [details]
Script to semi-automatically change the support urls

May not cover all cases, but works at least for now.
Comment 6 Dirk Wiesenthal univentionstaff 2014-01-24 11:03:55 CET
SupportURLs added. Also mentioned in Developer reference
Comment 7 Drees Dormann univentionstaff 2014-01-28 10:28:48 CET
Yaml: Ok
Tested with several Browsers, looks good, no glitches
All links are working (eng/ger)
Comment 8 Moritz Muehlenhoff univentionstaff 2014-01-29 11:21:45 CET
http://errata.univention.de/ucs/3.2/43.html